%{!?svn_rev:%define svn_rev 0}

Summary: ADCM - Multichannel digitizer control program
Name: adcm
Version: 1.2.3
License: GPL
Group: System Environment/Base
URL: http://afi.jinr.ru/ADCM
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: /usr/bin/mlink_load
Release: 1.%{svn_rev}%{?dist}

# FFTW 2.1 from EPEL repository
Requires: fftw2 >= 2.1
BuildRequires: fftw2-devel >= 2.1

%if 0%{?fedora}
Requires: akmod-mlink = 1.28
Requires: qt3 >= 3.3.6
BuildRequires: qt3-devel >= 3.3.6
%else
Requires: kmod-mlink = 1.28
Requires: qt >= 3.3.6
BuildRequires: qt-devel >= 3.3.6
%endif

%description
ADCM is a control program for multichannel digitizer boards (ADCM-16, ADCM-LTC, etc.)
The software is capable of online signal reconstruction: it calculates signal time and amplitude
from raw adc data.

#%package devel
#Summary: ADCM data file structures
#Group: Development/Libraries
#Requires: mlink-devel
#
#%description devel
#Header files describing adcm data file structures

%prep
%setup -q

%build
make all QTDIR=%{_libdir}/qt-3.3 svn_rev=%{svn_rev} QMAKE=%{_libdir}/qt-3.3/bin/qmake PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot} QTDIR=%{_libdir}/qt-3.3 svn_rev=%{svn_rev} QMAKE=%{_libdir}/qt-3.3/bin/qmake PREFIX=%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%doc ChangeLog COPYING README

#%files devel
#%defattr(-,root,root,-)
#%{_includedir}/*.h

%changelog

* Tue Sep 27 2011  <Ilja.Slepnev@jinr.ru>
- Version 1.2.3
- basic ADC64 support
- changed maximum number of channels 32 to 64

* Tue Jun  7 2011  <Ilja.Slepnev@jinr.ru>
- Version 1.2.2
- fixed random crash when updating waveform display
- added firmware id and temperature display

* Tue Mar 15 2011  <Ilja.Slepnev@jinr.ru>
- removed build dependency on qwt-qt3-devel, mlink-devel packages
- disabled devel package (see docs on site)
- updated project URL

* Fri Feb  5 2010  <Ilja.Slepnev@jinr.ru>
- Version 1.2.1: support for 2xADCM16-LTC
- bugs fixed

* Thu Dec 11 2008  <Ilja.Slepnev@jinr.ru> - 
- Refactored: run control, code cleanup
- Link down handler

* Tue Nov 18 2008  <Ilja.Slepnev@jinr.ru> - 
- Initial build.

